* configure.ac: Bumbed LT version to C10/A3/R0. V1-1-90
authorWerner Koch <wk@gnupg.org>
Fri, 14 Nov 2003 11:46:04 +0000 (11:46 +0000)
committerWerner Koch <wk@gnupg.org>
Fri, 14 Nov 2003 11:46:04 +0000 (11:46 +0000)
* configure.ac (have_ld_version_script): Set the default in
a separate test.
(PRINTABLE_OS_NAME): Don't handle the Hurd extra, this leads to
conflicts with BSD based GNU systems.  The Hurd has now a working
uname.

ChangeLog
NEWS
README
configure.ac

index 7477484..b2d2529 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,15 @@
+2003-11-14  Werner Koch  <wk@gnupg.org>
+
+       Released 1.1.90.
+       
+       * configure.ac: Bumbed LT version to C10/A3/R0.
+       
+       * configure.ac (have_ld_version_script): Set the default in
+       a separate test.
+       (PRINTABLE_OS_NAME): Don't handle the Hurd extra, this leads to
+       conflicts with BSD based GNU systems.  The Hurd has now a working
+       uname.
+
 2003-11-04  Werner Koch  <wk@gnupg.org>
 
        * configure.ac (USE_SHA1): Make sure it is always included.
diff --git a/NEWS b/NEWS
index 3fc42d9..abb9ca7 100644 (file)
--- a/NEWS
+++ b/NEWS
@@ -1,10 +1,12 @@
-Noteworthy changes in version 1.1.90 (unreleased)
+Noteworthy changes in version 1.1.90 (2003-11-14)
 -------------------------------------------------
 
  * The use of the GCRY_WEAK_RANDOM level is now deprecated in favor of
    the new gcry_create_nonce function.
 
  * gcry_sexp_build now supports a "%b" format to include a memory buffer.
+
+ * Minor configuration fixes.
  
  * Interface changes relative to the 1.1.44 release:
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
diff --git a/README b/README
index 3b858ac..9b0ec8c 100644 (file)
--- a/README
+++ b/README
@@ -1,6 +1,10 @@
                    libgcrypt - The GNU crypto library
                   ------------------------------------
-                           Version 1.1.43
+                           Version 1.1.90
+
+    THIS IS A PRE-RELEASE FOR THE FIRST STABLE VERSION 1.2.0, TO BE
+    RELEASED RSN.
+
 
     Copyright 2000, 2002, 2003 Free Software Foundation, Inc.
 
@@ -13,8 +17,6 @@
     implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
 
-    THIS IS A DEVELOPMENT VERSION, THE FIRST STABLE VERSION WILL BE 1.2.0.
-
 
     Overview
     --------
index f517298..1a36add 100644 (file)
@@ -26,14 +26,14 @@ AC_PREREQ(2.52)
 # but remove a "-cvs" prefix right *before* a release and append it
 # soon later.
 
-AC_INIT(libgcrypt, 1.1.90-cvs, bug-libgcrypt@gnupg.org)
+AC_INIT(libgcrypt, 1.1.90, bug-libgcrypt@gnupg.org)
 
 # LT Version numbers, remember to change them just *before* a release.
 #   (Interfaces removed:    CURRENT++, AGE=0, REVISION=0)
 #   (Interfaces added:      CURRENT++, AGE++, REVISION=0)
 #   (No interfaces changed:                   REVISION++)
-LIBGCRYPT_LT_CURRENT=9
-LIBGCRYPT_LT_AGE=2
+LIBGCRYPT_LT_CURRENT=10
+LIBGCRYPT_LT_AGE=3
 LIBGCRYPT_LT_REVISION=0
 
 NEED_GPG_ERROR_VERSION=0.5
@@ -163,9 +163,7 @@ case "${target}" in
       ;;
 esac
 
-# For now we hardcode the use of version scripts.  It would be better
-# to write a text for this or even implement this within libtool
-have_ld_version_script=no
+# A printable OS Name is sometime useful.
 case "${target}" in
     *-*-mingw32*)
         PRINTABLE_OS_NAME="MingW32"
@@ -181,13 +179,6 @@ case "${target}" in
 
     *-linux*)
         PRINTABLE_OS_NAME="GNU/Linux"
-        have_ld_version_script=yes
-        ;;
-
-# let that after linux to avoid gnu-linux problems
-    *-gnu*)
-        PRINTABLE_OS_NAME="GNU/Hurd"
-        have_ld_version_script=yes
         ;;
 
     *)
@@ -195,6 +186,7 @@ case "${target}" in
         ;;
 esac
 
+
 case "${target}" in
     *-openbsd* | *-netbsd*)
         # FIXME: Are these the best flags for OpenBSD?
@@ -397,6 +389,18 @@ AM_PROG_LIBTOOL
 
 AC_DEFINE_UNQUOTED(PRINTABLE_OS_NAME, "$PRINTABLE_OS_NAME",
                    [A human readable text with the name of the OS])
+
+# For some systems we know that we have ld_version scripts.  
+# Use it then as default.
+have_ld_version_script=no
+case "${host}" in
+    *-*-linux*)
+       have_ld_version_script=yes
+        ;;
+    *-*-gnu*)
+       have_ld_version_script=yes
+        ;;
+esac
 AC_ARG_ENABLE([ld-version-script],
               AC_HELP_STRING([--enable-ld-version-script],
                              [enable/disable use of linker version script.